﻿@model PanelAccountViewModel
@{
    Layout = "~/Views/Shared/_PanelSettingLayout.cshtml";
    ViewBag.Title = "تنظیمات حساب";
}

@using (Html.BeginForm("Account", "Panel", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <!-- Password -->
    <div class="actions-toolbar py-2 mb-4">
        <h5 class="mb-1">@ViewBag.Title</h5>
        <p class="text-sm text-muted mb-0">جهت تغییر ایمیل یا موبایل از فرم زیر اقدام نمایید.</p>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(m => m.Email)
                <div class="input-group input-group-merge">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-at"></i></span>
                    </div>
                    @Html.TextBoxFor(m => m.Email, new { @class = "form-control", placeholder = "ایمیل" })
                </div>
                @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                @Html.LabelFor(m => m.PhoneNumber)
                <div class="input-group input-group-merge">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-phone"></i></span>
                    </div>
                    @Html.TextBoxFor(m => m.PhoneNumber, new { @class = "form-control", placeholder = "شماره موبایل" })
                </div>
                @Html.ValidationMessageFor(m => m.PhoneNumber, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-md-12">
            <p>در صورت تغییر اطلاعات فوق، هر کدام که تغییر کند می بایست مجدد از بخش احراز هویت تایید شود.</p>
        </div>
    </div>
    <div class="mt-4">
        <button type="submit" class="btn btn-primary">ثبت تغییرات</button>
    </div>
}
<!-- Username -->
<div class="mt-5 pt-5 delimiter-top delimiter-dark">
    <div class="actions-toolbar py-2 mb-4">
        @if (Model.UserNameIsSet)
        {
            <h5 class="mb-1">تغییر نام کاربری</h5>
            <p class="text-sm text-muted mb-0">برای تغییر نام کاربری دکمه زیر را بزنید و نام کاربری جدید را وارد نمایید.</p>
        }
        else
        {
            <h5 class="mb-1">ایجاد نام کاربری</h5>
            <p class="text-sm text-muted mb-0">برای ایجاد نام کاربری دکمه زیر را بزنید و نام کاربری جدید را وارد نمایید.</p>
        }
    </div>
    <!-- Button trigger modal -->
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal-change-username">
        @(Model.UserNameIsSet ? "تغییر نام کاربری" : "ایجاد نام کاربری")
    </button>
    <!-- Modal -->
    <div class="modal fade" id="modal-change-username" tabindex="-1" role="dialog" aria-labelledby="modal-change-username" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            @using (Html.BeginForm("ChangeUserName", "Panel", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                @Html.AntiForgeryToken()
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="modal-title d-flex align-items-center" id="modal-title-change-username">
                            <div>
                                <div class="icon icon-sm icon-shape icon-info rounded-circle shadow mr-3">
                                    <i class="far fa-user"></i>
                                </div>
                            </div>
                            <div>
                                <h6 class="mb-0">نام کاربری جدید</h6>
                            </div>
                        </div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label class="form-control-label">نام کاربری جدید</label>
                                    <input class="form-control" type="text">
                                </div>
                            </div>
                        </div>
                        <div class="px-5 pt-4 mt-4 delimiter-top delimiter-dark text-center">
                            <p class="text-muted text-sm">پس از تغییر یا ایجاد نام کاربری یک ایمیل برای تایید ارسال می شود.</p>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-sm btn-secondary" data-dismiss="modal">تغییر نام کاربری</button>
                    </div>
                </div>
            }
        </div>
    </div>
</div>
<!-- Delete -->
<div class="mt-5 pt-5 delimiter-top delimiter-dark">
    <div class="actions-toolbar py-2 mb-4">
        <h5 class="mb-1">مسدود سازی حساب</h5>
        <p class="text-sm text-muted mb-0">در صورت مسدود سازی حساب، تنها با درخواست کتبی صاحب حساب قابل فعال سازی مجدد است.</p>
    </div>
    <!-- Button trigger modal -->
    <button type="button" class="btn btn-sm btn-danger" data-toggle="modal" data-target="#modal-delete-account">حسابم مسدود شود</button>
    <!-- Modal -->
    <div class="modal modal-danger fade" id="modal-delete-account" tabindex="-1" role="dialog" aria-labelledby="modal-delete-account" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <form class="form-danger">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="text-center">
                            <i class="far fa-exclamation-circle fa-3x opacity-8"></i>
                            <h5 class="text-white mt-4">آیا نیاز به مسدود سازی حساب خود دارید؟</h5>
                            <p class="text-sm text-sm">همه اطلاعات کاربری شما نزد اکس تومن می ماند و حذف نمی شود، با مسدود سازی حساب، تنها دسترسی به آن مسدود می شود.</p>
                        </div>
                        <div class="form-group">
                            <label class="form-control-label text-white">ایمیل، موبایل یا نام کاربری</label>
                            <input class="form-control" type="text">
                        </div>
                        <div class="form-group">
                            <label class="form-control-label text-white">برای تایید عبارت <span class="font-italic">'حسابم مسدود شود'</span> را تایپ کنید</label>
                            <input class="form-control" type="text">
                        </div>
                        <div class="form-group">
                            <label class="form-control-label text-white">کلمه عبور</label>
                            <input class="form-control" type="password">
                        </div>
                        <div class="mt-4">
                            <button type="button" class="btn btn-block btn-sm btn-white text-danger">حسابم مسدود شود</button>
                            <button type="button" class="btn btn-block btn-sm btn-link text-light mt-4" data-dismiss="modal">منصرف شدم</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>